Page MenuHomePhabricator

Diffusion API/URI Errata
Closed, ResolvedPublic

Description

Remaining work for the new edit/API/URI workflows:

  • Nothing!

Probably kicking these down the road, although we're better positioned on them now than we were before:

Dealt with:

  • DiffusionRepositoryNewController is still hanging around but should be nuked.
  • Spaces appear in the web UI properly, but the associated transaction does not apply correctly.
  • Some redirect/submit/cancel URIs in non-EditEngine edit panels might be pointing at old places?
  • The rest of the Diffusion docs should be reviewed.
  • The warning header on the Diffusion URI documentation should be removed.
  • The new APIs could use guidance on use. The "observe" workflow (create a repository, add URIs, activate the repository) is not self-evident.
  • EditController and EditproController should be renamed and the controller hierarchy and crumbs should be sorted out.
  • It would be nice to provide some overall status hints on the URI panel ("This is a hosted repository.").
  • It would be nice to provide diffusion.ssh-user and diffusion.ssh-port hints when editing builtin URIs.
  • A substantial amount of guidance/help text on the forms hasn't made it forward yet. Some of it needs to be rewritten, and bringing it over will give me a chance to test these workflows in greater depth.
  • T8611: When Diffusion's "Can Create Repositories" application setting is "All Users," users still can't create repositories should be disposed of, probably by just saying "don't do that". But making the form configurable is a more elegant way to dispose of it.
  • Some panels should possibly be hidden entirely for Subversion, or at least visually disabled with hints.
  • SVN SSH URIs need to use the svn+ssh:// protocol and no short name.
  • Newly created repositories should have hints about how to complete the workflow (activate to host; add a URI then activate to observe).
  • The repository URI index doesn't index all URIs yet, only the primary clone URI.
  • diffusion.repository.search should gain whatever capabilities it's still missing (primarily: search by URI?)...
  • T9554: Trigger "import" heuristics for imported repositories needs to be resolved because we now recommend this workflow.
  • Subversion's "Import Only" is no longer exposed in the UI. I'm hoping we can simply drop this feature since it's very rarely used and it only just barely works.
  • The UI for presenting Clone URIs is a little plain now. Most of this simplification is intentional, but this could use another pass.

Details

Commits
D15908 / rPdc2d87059b29: Fix an issue with URI index updates from the daemons
D15899 / rP9d196648f54f: Prevent users from disabling repository builtin URIs
D15896 / rP5003f2191934: Put "Projects" edit field back on Basics management panel for repositories
D15891 / rPb21b43131c14: Clean up display of clone URIs a little bit
D15890 / rPfc654f89967c: Flesh out a few more repository documentation sections
D15889 / rPee74fb4cc764: Add a "View Repository" button to the repository manage UI
D15888 / rP6615d76c3489: In Subversion, show "svn checkout <uri> <directory>" in Diffusion
D15887 / rP5587d97a7f0c: Tailor Diffusion protocol rules slightly
D15883 / rP97c103fa00cc: Restore edit UI for "Import Only" in Subversion
D15882 / rPHUb25e0477b280: Allow "+" to remain unescaped by csprintf('%R', ...)
D15877 / rP71a97d8af56b: When observing a repository, switch to "importing" mode on a large discovery…
D15876 / rP576b73dc5375: Index all repository URIs, not just the "primary" repository URI
D15875 / rPf05fce44aabb: Provide more UI guidance when creating repositories
D15874 / rP0b5ab2330d99: Hide irrelevant panels in Mercurial/Subversion, fix Subversion URIs
D15873 / rPe2bbde9675be: Bring old repository instructions and guidance forward to new UI
D15872 / rP98b202042e93: Provide some more context hints for repository URIs
D15871 / rP3328e78a7b4c: Sort out EditController / ManageController / EditproController Diffusion…
D15870 / rPf191f66f3480: Document API management of repositories and fix some issues with creating…
D15868 / rP34e85aaeb8b6: Document most of the new Diffusion management panel
D15867 / rP8512f9358e60: Update redirect/cancel URIs for repository dialogs
D15866 / rP846eec7563d8: Put "Push Policy" last in Diffusion, make editing Spaces work
D15865 / rP612a93229fa3: Fix some pagination/redirect issues for repositories

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
chad added a subscriber: chad.May 5 2016, 3:15 PM

I nuked the new controller in that diff

My early-morning logic went something like "it's still there on disk so...".

epriestley updated the task description. (Show Details)May 5 2016, 3:40 PM
avivey added a subscriber: avivey.EditedMay 5 2016, 10:04 PM

Looks like anonymous clone over https stopped working? T10927

$ git ls-remote https://secure.phabricator.com/diffusion/P/phabricator.git
fatal: unable to access 'https://secure.phabricator.com/diffusion/P/phabricator.git/': The requested URL returned error: 403
Luke081515.2 added a subscriber: Luke081515.2.EditedMay 6 2016, 9:45 PM

D15865 fixed some issues, but if you go to manage repo, and click reload there is still a problem: After that action phabricator redirects to the main repo page. Is that expected? The disadvantage is, that this causes long webpage load, if you have a normal repo. Is there a solution for that?

After that action phabricator redirects to the main repo page. Is that expected?

That's what this is referring to, above:

  • Some redirect/submit/cancel URIs in non-EditEngine edit panels might be pointing at old places?
epriestley updated the task description. (Show Details)May 9 2016, 1:31 PM
epriestley updated the task description. (Show Details)May 9 2016, 2:08 PM
epriestley updated the task description. (Show Details)May 9 2016, 5:02 PM
epriestley updated the task description. (Show Details)May 9 2016, 8:19 PM
epriestley updated the task description. (Show Details)May 9 2016, 8:53 PM
avivey added a comment.May 9 2016, 9:08 PM

svn repos now say "checkout: ssh://..." instead of svn+ssh://, making svn clients are angry.

epriestley updated the task description. (Show Details)May 9 2016, 9:09 PM
epriestley updated the task description. (Show Details)May 9 2016, 9:16 PM
epriestley updated the task description. (Show Details)May 9 2016, 9:26 PM
epriestley updated the task description. (Show Details)May 9 2016, 10:38 PM
epriestley updated the task description. (Show Details)May 9 2016, 11:24 PM
epriestley updated the task description. (Show Details)May 9 2016, 11:31 PM
epriestley updated the task description. (Show Details)May 9 2016, 11:42 PM
epriestley updated the task description. (Show Details)May 10 2016, 12:56 PM
epriestley updated the task description. (Show Details)May 10 2016, 1:27 PM
epriestley updated the task description. (Show Details)
epriestley updated the task description. (Show Details)May 10 2016, 2:05 PM
epriestley moved this task from Backlog to v3 on the Diffusion board.
epriestley edited projects, added Diffusion (v3); removed Diffusion.
dpotter removed a subscriber: dpotter.May 10 2016, 2:22 PM
epriestley updated the task description. (Show Details)May 11 2016, 12:14 AM
epriestley updated the task description. (Show Details)May 11 2016, 5:27 PM
Luke081515.2 added a comment.EditedMay 12 2016, 2:20 PM

If you hide urls, nothing changes at the other places:

epriestley closed this task as Resolved.Jun 16 2016, 6:03 PM

This has seemed pretty stable for about a month. Future work is tracked in more specific tasks.